Public Member Functions

# geos::geom::prep::PreparedLineString Class Reference

A prepared version of LinearRing, LineString or MultiLineString geometries. More...

`#include <PreparedLineString.h>`

Inheritance diagram for geos::geom::prep::PreparedLineString:

List of all members.

## Public Member Functions
| PreparedLineString (const Geometry *geom)
noding::FastSegmentSetIntersectionFinder * | getIntersectionFinder ()
bool | intersects (const geom::Geometry *g) const

## Detailed Description

A prepared version of LinearRing, LineString or MultiLineString geometries.

Author:
  mbdavis

## Member Function Documentation

bool geos::geom::prep::PreparedLineString::intersects | ( | const geom::Geometry * | g ) | const`[virtual]`

Default implementation.

Reimplemented from geos::geom::prep::BasicPreparedGeometry.

The documentation for this class was generated from the following file:

- PreparedLineString.h